{
  "compileOnSave": false,
  "compilerOptions": {
		"skipLibCheck": true,
		"allowJs":true,
    "baseUrl": "./",
    "outDir": "./dist/out-tsc",
    "sourceMap": true,
    "declaration": false,
    "downlevelIteration": true,
    "experimentalDecorators": true,
    "module": "esnext",
    "moduleResolution": "node",
    "importHelpers": true,
    "target": "es5",
    "allowSyntheticDefaultImports": true,
    "esModuleInterop": false,
    "typeRoots": [
      "node_modules/@types"
    ],
    "lib": [
      "es2018",
      "dom"
    ]
  },
  "angularCompilerOptions": {
    "fullTemplateTypeCheck": false,//编译器预编译（改为true后，--prod打包后会报错：ERROR in : Illegal state: Could not load the summary for directive RouterOutlet in）
    "strictInjectionParameters": true,
    "disableTypeScriptVersionCheck": true//禁用项目对typescript版本的检查
  }
}
